/*====================================================================

ObjectWeb Transaction Working Group API
Contact: http://www.objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Romain Rouvoy.
Contributor(s): ______________________________________.

---------------------------------------------------------------------
$Id: TransactionState.java,v 1.1.1.1 2003/12/01 15:14:18 rouvoy Exp $
====================================================================*/
package org.objectweb.transaction.api.transaction;

import org.objectweb.transaction.api.State;

/**
 * Description of the Transaction State
 * 
 * @author <a href="mailto:Romain.Rouvoy@lifl.fr">Romain Rouvoy</a>
 * @version 0.1
 * @adl.id name="TRANSACTION_STATE" value="tx-state"
 */
public interface TransactionState 
		  extends State 
{
    /**
     * Identifier for the ADL
     */
	public static final String TRANSACTION_STATE = "tx-state";
	
	/**
	 * Defines the status of the transaction
	 * @param status
	 */
	public void setStatus(TransactionStatus status);
	
	/**
	 * Returns the status of the transaction
	 * @return Status
	 */
	public TransactionStatus getStatus();
    
    /**
     * Defines the value of the transaction timeout
     * 
     * @param value - the value of the tiemout in seconds
     */
    public void setTimeout(int value);
    
    /**
     * Provides the value of the transaction timeout
     * 
     * @return the value of the timeout in seconds
     */
    public int getTimeout();
}
